<script setup lang="ts">
const props = defineProps({
	image: {
		default: 'https://source.unsplash.com/random/1920x1080?code,technology'
	},
	class: {
		type: String
	}
});
</script>

<template>
	<div class="h-full w-full">
		<div class="abs-tr right-6 top-6 flex items-center gap-4">
			<NttDataLogo class="w-[100px] fill-brand-primary dark:fill-white" />

			<DarkToggle class="" />
		</div>

		<div class="grid grid-cols-2 w-full h-full">
			<div
				class="bg-cover bg-center bg-no-repeat"
				:style="{ backgroundImage: `url('${props.image}')` }"
			/>
			<div class="slidev-layout default" :class="props.class">
				<slot />
			</div>
		</div>

		<div class="absolute bottom-4 right-4 bg-brand-primary text-xs p-2 font-bold !text-white">
			{{ $slidev.nav.currentPage }}
		</div>
	</div>
</template>
